Subject: RE: [Sip] RFC 2976 INFO Method

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Wed, 9 Oct 2002 18:32:35 +0100

Despite my detailed previous reply, I sympathise with Jonathan.

I suspect that the version that advances through the internet standards process, if any, will not look the same as RFC 2976. At least there will be some drastic rewriting of the scope/applicability.

Keith

Keith Drage
Lucent Technologies
Tel: +44 1793 776249
Email: [email-masked] 

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: 09 October 2002 17:08
> To: Jesske, R
> Cc: [email-masked]; Poetzl, Joachim; Alexeitsev, D; Tolksdorf, 
> Christian;
> [email-masked]; Pinker, Gerold
> Subject: Re: [Sip] RFC 2976 INFO Method
> 
> 
> No, its not obsolete. Although I frequently wish it was....
> 
> -Jonathan R.
> 
> Jesske, R wrote:
>  > Dear all, With publishing RFC 3261 SIP the "old" RFC 2543 is now
>  > obsolete. My question is now what is the status of RFC 2976 INFO
>  > Method, is it also obsolete? Because this RFC is referring to RFC
>  > 2543.
>  >
>  > Best Regards
>  >
>  > Roland
>  >
>  >
>  > Deutsche Telekom AG T Com Zentrale Section T38; 
> Signalling, Gateways
>  > and Switching Systems Roland Jesske, T38a12 Am Kavalleriesand 3,
>  > 64295 Darmstadt, Germany Phone:  +49 6151 83-5940 Fax:    +49 6151
>  > 83-4577 mailto: [email-masked]
>  >
>  >
>  >
>  > _______________________________________________ Sip mailing list
>  > https://www1.ietf.org/mailman/listinfo/sip This list is for NEW
>  > development of the core SIP Protocol Use
>  > [email-masked] for questions on current sip Use
>  > [email-masked] for new developments on the application of sip
>  >
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
> Chief Scientist                             First Floor
> dynamicsoft                                 East Hanover, NJ 07936
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Wed, 9 Oct 2002 18:32:35 +0100

I do not think it is as simple as that.

I did go looking for the rules in the various RFCs that define the IETF drafting, but failed to find anything.

First of all, I agree with Rohan that the obsoleting of RFC 2543 (or should it be status Historic) does not affect the status of RFC 2976.

I do not agree with the assertion of Rohan that a reader of RFC 2976 should simply replace all instances of RFC 2543 in RFC 2976 with RFC 3261. The correct interpretation of a normative reference is that when in the text one comes across a reference, one should do a substitution of the reference with the text of the reference. That substitution should still be done to RFC 2543. (Note that it is the references in the text that count, not the existence in the reference list at the end of the document - it is no good defining a macro without defining points where the macro should be inserted!) A conformant implementation to RFC 2976 without further condition must then still implement those requirements as specified.

What the sensible reader will then do is compare the text substituted in to that in the equivalent requirements in RFC 3261, and note the implications of any differences. As a result he may decide to implement the RFC 2543 sourced requirement or the RFC 3261 sourced requirement. For example, the key to the headers table in RFC 2976 is taken by reference to RFC 2543. That key changed in RFC 3261. It is probably better to use the original RFC 2543 key in interpreting the table rather than the RFC 3261 one. The reference to the syntax is again by reference to RFC 2543. Here it is probably better to interpret the RFC 2976 syntax in the light of the slightly amended lexical rules specified by RFC 3261. Any implementor performing this process will need to document their decision process as part of any statement of conformance, i.e. they conform to RFC 2976 with the following modifications (here provide list of changes) that take into account improvements and clarifications made in!
 RFC 3261.

Note that the above is really only a shortcut to save a specification being updated. If this interpretation process of the impact and applicability of RFC 3261 changes leads to incompatible implementations, then the onus is on the IETF to revise RFC 2976.

However this understanding is by my knowledge of commonly accepted rules in other standards bodies, rather than anything I could find in RFCs, so anybodies interpretation could be correct. Does anybody know of any IETF documentation that covers this?

Keith

Keith Drage
Lucent Technologies
Tel: +44 1793 776249
Email: [email-masked] 

> From: Rohan Mahy [mailto:[email-masked]]
> Sent: 09 October 2002 16:55
> To: Jesske, R
> Hi,
> INFO is not obsolete.  3261 Obsoletes 2543, so the effect of this is 
> that any RFC which contains 2543 as a normative reference is to 
> effectively update that reference.
> 
> thanks,
> -rohan
> 
> 
> On Wednesday, October 9, 2002, at 04:22 AM, Jesske, R wrote:
> 
> > Dear all,
> > With publishing RFC 3261 SIP the "old" RFC 2543 is now obsolete. My 
> > question is now what is the status of RFC 2976 INFO Method, 
> is it also 
> > obsolete? Because this RFC is referring to RFC 2543.
> >
> > Best Regards
> >
> > Roland
> >
> >
> > Deutsche Telekom AG
> > T Com Zentrale
> > Section T38; Signalling, Gateways and Switching Systems
> > Roland Jesske, T38a12
> > Am Kavalleriesand 3, 64295 Darmstadt, Germany
> > Phone:  +49 6151 83-5940
> > Fax:    +49 6151 83-4577
> > mailto: [email-masked]
> >
> >
> >